*{
	font-family: 'Montserrat', sans-serif;
}

#div-1 {
	background-color: green;
	display: block;
}

#span-1 {
	background-color: purple;
	display: inline;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: red;
	display: block;
}

#hidden-div {
	background-color: hotpink;
	display: none;
}

#img {
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p-width100 {
	background-color: #87CEFA; /*hex code*/
}

#p-witdh60 {
	background-color: rgb(255, 105, 180); /*color value can use rgb*/
	/*	Create your rgb color: */ 
	width: 60%;
}

#p-width40 {
	background-color: yellow;
	width: 40%;
}

.p-inlineBlock {
	/* we use inline block so we could modify the width or height of an element	*/
	display: inline-block;
	width: 30%;
	/*border:  thickness | border type | color*/
	border: 1px solid black;
	text-align: center;
}


.box {
	background-color: skyblue;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 140px;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

/*vw- viewport width*/
.fifty-vw {
	width: 50vw;
}

/*vh - viewport height*/
.twenty-five-vh {
	height: 25vh;
}

/* root element - default 16px */
.one-rem {
	font-size: 1rem;
}

/* parent element */
.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}


/* Creating an image background */

/* Background Properties */
.background {
	min-height: 100vh;
	/*background-color: gray;*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	/* Other syntaxes using background-size: ("auto","cover","contain") */
	background-size: 100vw;
	background-position: center top;
	background-attachment: scroll;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{

	/*	Creating an opacity or (alpha) transparency*/
	background-color: rgba(0, 0, 0, 0.5);
	/*	rgba stands for red, green, blue, alpha */ 
	min-height: 100vh;
}

.parent-element{
	background-color: skyblue;
	padding: 10px;
	position: static;
	height: 50vh;
}

.child-one{
	background-color: gray;
	padding: 10px;
}

.child-two{
	background-color: yellow;
	padding: 10px;
	position: sticky;
	top: 10px;
}

.child-three{
	background-color: gray;
	padding: 10px;
}

/*
html {
	height: 800vh;
}
*/

/* CSS position - defines the order of overlapping HTML elements */
/* Z index  */

.container{
	position: relative;
}

.black-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box{
	position: absolute;
	z-index: 2;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box{
	position: absolute;
	z-index: 3;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}